Articles of excepción

La aplicación Flask genera un error 500 sin excepción

Me he estado golpeando la cabeza con este método en Flask durante algún tiempo, y aunque parece que ahora estoy progresando, me he topado con algo que me desconcierta. Aquí está el método que estoy llamando: @app.route(‘/facedata/’, methods=[“POST”]) def facedata(slug): if request.method == “POST”: try: post = Post.objects.get_or_404(slug=slug) data = [float(item) for item in request.form.getlist(’emotions[]’)] […]

SQLAlchemy lanza KeyError cuando se usan objetos de asociación con back_populations – el ejemplo de la documentación no funciona

SQLAlchemy documenta muy bien cómo utilizar los objetos de asociación con back_populates . Sin embargo, al copiar y pegar el ejemplo de esa documentación, agregar hijos a un padre lanza un KeyError como se muestra en el siguiente código. Las clases modelo se copian 100% de la documentación: from sqlalchemy import Column, ForeignKey, Integer, String […]

e.printStackTrace equivalente en python

Sé que print(e) (donde e es una excepción) imprime la excepción ocurrida, pero estaba tratando de encontrar el equivalente en python de e.printStackTrace() de Java que rastrea exactamente la excepción a la línea en la que ocurrió e imprime todo el trazado. de eso ¿Podría alguien decirme el equivalente de e.printStackTrace() en Python?

boost :: Python Export Custom Exception

Actualmente estoy escribiendo una extensión de C ++ para Python usando Boost.Python. Una función en esta extensión puede generar una excepción que contiene información sobre el error (más allá de una cadena legible por el hombre que describe lo que sucedió). Esperaba poder exportar esta excepción a Python para poder capturarla y hacer algo con […]

Detectando una excepción en el administrador de contexto __enter __ ()

¿Es posible garantizar que se __exit__() método __exit__() incluso si hay una excepción en __enter__() ? >>> class TstContx(object): … def __enter__(self): … raise Exception(‘Oops in __enter__’) … … def __exit__(self, e_typ, e_val, trcbak): … print “This isn’t running” … >>> with TstContx(): … pass … Traceback (most recent call last): File “”, line 1, […]

El webdriver de Selenium Firefox produce un error: el servicio geckodriver se cerró inesperadamente. El código de estado fue: 2

Estoy escribiendo un progtwig que buscará entradas específicas en un sitio web dentro de los artículos, estoy usando Selenium webdriver para Python. Al intentar conectarse al sitio obtengo esta excepción: Traceback (most recent call last): File “search.py”, line 26, in test.search_for_keywords() File “search.py”, line 13, in search_for_keywords browser = webdriver.Firefox() File “C:\Python27\lib\site-packages\selenium-3.0.0b2-py2.7.egg\selenium\webdriver\firefox\webdriver.py”, line 65, in […]

¿Cómo se implementan las excepciones bajo el capó?

Casi todos los usan, pero muchos, incluyéndome a mí, simplemente dan por sentado que simplemente funcionan. Estoy buscando material de alta calidad. Los idiomas que utilizo son: Java, C, C #, Python, C ++, por lo que estos son de mi mayor interés. Ahora, C ++ es probablemente un buen lugar para comenzar, ya que […]

¿Cómo volver a generar una excepción en los bloques de prueba / excepto nesteds?

Sé que si quiero volver a elevar una excepción, simplemente uso raise sin argumentos en el respectivo bloque de except . Pero dada una expresión anidada como try: something() except SomeError as e: try: plan_B() except AlsoFailsError: raise e # I’d like to raise the SomeError as if plan_B() # didn’t raise the AlsoFailsError ¿Cómo […]

¿Cómo puedo suprimir más fácilmente las excepciones anteriores cuando formulo mi propia excepción en respuesta?

Considerar try: import someProprietaryModule except ImportError: raise ImportError(‘It appears that is not installed…’) Cuando se ejecuta, si someProprietaryModule no está instalado, uno ve: (traceback data) ImportError: unknown module: someProprietaryModule During handling of the above exception, another exception occurred: (traceback data) ImportError: It appears that is not installed… Tal vez no quiero que aparezca la línea […]

¿Cómo puedo hacer más silenciosas las excepciones en tkinter?

Si ejecuto el siguiente código desde un terminal, recibo un mensaje de error útil en el terminal: import Tkinter as tk master = tk.Tk() def callback(): raise UserWarning(“Exception!”) b = tk.Button(master, text=”This will raise an exception”, command=callback) b.pack() tk.mainloop() Sin embargo, si lo ejecuto sin un terminal (por ejemplo, al hacer doble clic en un […]